README - Dozator de Apă cu Senzor Ultrasonic și Buton

Acest cod implementează un sistem de pompare a apei folosind un senzor ultrasonic și un buton. 
Sistemul controlează o pompă pentru a elibera apă în funcție de proximitatea detectată de 
senzorul ultrasonic sau de apăsarea butonului. De asemenea, afișează mesaje pe un ecran LCD.

Componente necesare
* Placă Arduino Uno
* Senzor ultrasonic
* Buton
* Ecran LCD (I2C)
* Pompă

Dependențe
* Wire.h
* LiquidCrystal_I2C.h

Configurarea pinilor
* btn - Pinul butonului (PD2)
* pump - Pinul pompei (PD5)
* TRIG_PIN - Pinul de declanșare al senzorului ultrasonic (PD7)
* ECHO_PIN - Pinul de recepție al senzorului ultrasonic (PD6)

Funcții
void setup()
* Inițializează și configurează sistemul:
* Inițializează ecranul LCD
* Configurează întreruperile pentru buton
* Setează pinul pompei ca ieșire
* Configurează înregistrările PWM pentru controlul pompei
* Setează pinul de declanșare și pinul de recepție pentru senzorul ultrasonic

void loop()
* Rulează într-un ciclu continuu:
* Măsoară distanța folosind senzorul ultrasonic
* Verifică dacă distanța este sub o limită sau dacă butonul este apăsat
* Controlează pompa în consecință (o porneste sau o opreste)
* Afișează mesaje corespunzătoare pe ecranul LCD
* Întârzie 1 secundă

ISR(PCINT2_vect)
* Rutină de serviciu pentru întreruperea apăsării butonului
* Verifică starea butonului și comută starea pompei în consecință
* Efectuează debounce la buton folosind o întârziere în timp
void pump_is_on()
* Porneste pompa prin setarea valorii corespunzătoare în registrul OCR0B (control PWM)
void pump_is_off()
* Opreste pompa prin setarea registrului OCR0B la 0

float measureDistance()
* Măsoară distanța folosind senzorul ultrasonic:
* Declanșează senzorul
* Măsoară durata pulsului
* Calculează distanța în centimetri pe baza duratei pulsului

void print_on_lcd()
* Afișează mesajul "Oski bea" pe ecranul LCD

void setup_interrupts()
* Configurează întreruperile pentru apăsarea butonului:
* Setează pinul butonului ca intrare
* Activează rezistența internă
